<!doctype html>
<html lang="en">
   <head>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
      <link rel="icon" href="favicon.ico" />
      <title>Contact Tracing</title>
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha512-rO2SXEKBSICa/AfyhEK5ZqWFCOok1rcgPYfGOqtX35OyiraBg6Xa4NnBJwXgpIRoXeWjcAmcQniMhp22htDc6g==" crossorigin="anonymous" />
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" integrity="sha512-nMNlpuaDPrqlEls3IX/Q56H36qvBASwb3ipuo3MxeWbsQB1881ox0cRv7UPTgBlriqoynt35KjEwgGUeUXIPnw==" crossorigin="anonymous" />
   </head>
   <body>
      <div id="main" class="container" v-cloak>
         <div class="row">
            <div class="col-12 alert alert-info" v-if="!hideAlert">
               <a href="https://gitlab.com/agepoly/it/dev/contact-tracing/-/blob/master/README">
               Voir https://gitlab.com/agepoly/it/dev/contact-tracing/-/blob/master/README</a>
               <button type="button" v-on:click="hideAlert = true" class="close" aria-label="Close">
               <span aria-hidden="true">&times;</span>
               </button>
            </div>
            <div class="col-8 alert alert-danger" v-if="!connected" style="margin: 15px auto 0 auto; z-index: 3; position: fixed; left:0;right:0">
               <p>Connection Lost ! Reconnecting...</p>
            </div>
            <div v-if="modeLogs && modeMobile && !modeHome" style="position: fixed; width: 85%; top: 5%; right: 5%; z-index: 10;" id="mobileNotifTarget">
              <div v-for="result in logs" :key="result.id" v-bind:style="{opacity: result.opacity || 1}" style="border-radius: 0px; margin-bottom: 0; margin-top: 8px;" class="alert" v-bind:class="'alert-'+result.color" >
                           <p>{{ result.status }}</p>
                           <p v-if="result.person != undefined && result.person.email != undefined">{{ result.person.email}}</p>
                           <p v-if="result.person != undefined && result.person.name != undefined">{{ result.person.name }}</p>
                           <p v-if="result.person != undefined && result.person.sciper != undefined">{{ result.person.sciper }}</p>
                           <p v-if="result.message != undefined" v-html="result.message"></p>
              </div>
            </div>
         </div>
         <div class="row" v-if="modeHome">
          <div class="col-12">
              <div class="card-header">
                 <h2 sytle="width: 100%" class="card-title">Nouvelle Instance</h2>
              </div>

              <div class="card-body">
                <div class="col-12 alert alert-warning">
                  <p>
                    Bienvenue sur l'outils de traçage des contacts mis a disposition par l'AGEPoly. Tu peut créer ta propre configuration de traçage en remplissant le formulaire ci-dessous. N'hésite pas à en créer autant que nécessaire. En cas de question, contacte <a href="mailto:informatique@agepoly.ch">informatique@agepoly.ch</a>

                    Nous pouvons aussi fournir des systèmes de lecture des camipro, qui permettent d'accélérer le tracage. Jette un oeil sur <a href="truffe2.agepoly.ch">truffe2.agepoly.ch</a>.
                  </p>
                    Voir <a href="https://gitlab.com/agepoly/it/dev/contact-tracing/-/blob/master/README">https://gitlab.com/agepoly/it/dev/contact-tracing/-/blob/master/README</a>
                </div>
                <div class="col-12">
                  <form class="form" method="get" action="/">
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="configId">Config Identifier:<br><sub> (Doit Rester Secret ex: petanque2octobre_34245290020)</sub></label></div>
                         <input required="true" class="col-sm-8" id="configId" name="configId" type="text"/>
                    </div>
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="max">Max people at location:</label></div>
                       <input class="col-sm-8" id="max" name="max" type="text" />
                    </div>
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="gitlink">Hide link to git:</label></div>
                       <input id="gitlink" name="noGitLink" type="checkbox" />
                    </div>
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="arriveandleave">Hide Widget : </label></div>
                       <div class="col-sm-8">
                         <div class="row">
                          <label class="col-sm-2">Arrive : </label>
                          <input id="arrive" name="arrive" type="checkbox" value="0"/>
                          <div class="col-sm-2"></div>
                          <label class="col-sm-2">Leave : </label>
                          <input id="leave" name="leave" type="checkbox" value="0"/>
                        </div>
                        <div class="row">
                          <label class="col-sm-2">Logs : </label>
                          <input id="logs" name="logs" type="checkbox" value="0"/>
                          <div class="col-sm-2"></div>
                          <label class="col-sm-2">Counter : </label>
                          <input id="counter" name="counter" type="checkbox" value="0"/>
                        </div>
                        <div class="row">
                          <label class="col-sm-2">List : </label>
                          <input id="list" name="list" type="checkbox" value="0"/>
                          <div class="col-sm-2"></div>
                          <label class="col-sm-2">QR : </label>
                          <input id="qr" name="qr" type="checkbox" value="0"/>
                        </div>
                     </div>
                    </div>
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="mob">Mode Mobile : </label></div>
                       <input id="mob" name="mob" type="checkbox" value="on"/>
                    </div>
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="unit">Units Whitelist (Separated by comma):</label></div>
                       <input class="col-sm-8" id="unit" name="ACallowedUnits" type="text" />
                    </div>
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="scip">Scipers Whitelist (Separated by comma):</label></div>
                       <input class="col-sm-8" id="scip" name="ACallowedScipers" type="text" />
                    </div>
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="mod_grp">Modulo Groups Whitelist (Separated by comma):</label></div>
                       <input class="col-sm-8" id="mod_grp" name="ACmoduloAllowedGroups" type="text" />
                    </div>
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="epf_grp">EPFL Groups Whitelist (Separated by comma, group should not contains units):</label></div>
                       <input class="col-sm-8" id="epf_grp" name="ACepflAllowedGroups" type="text" />
                    </div>
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="stat">Status Whitelist (etudiant or personnel):</label></div>
                       <input class="col-sm-8" id="stat" name="ACallowedStatus" type="text" />
                    </div>
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="phone">Require Phones Recorded</label></div>
                       <input id="phone" name="ACforcePhone" type="checkbox" value="true"/>
                    </div>
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="ext">Deny Non EPFL People</label></div>
                       <input id="ext" name="ACblockExternal" type="checkbox" value="true"/>
                    </div>
                    <div class="form-group row">
                       <div class="col-sm-4"><label for="aq">Auto Quit after x milliseconds</label></div>
                       <input class="col-sm-6" id="aq" name="ACautoQuitAfter" type="number" />
                    </div>
                    <button class="btn btn-primary" type="submit">Go</button>
                  </form>
              </div>
            </div>
          </div>
         </div>
         <div class="row" v-if="!modeHome">
            <div v-bind:class="(modeArrive || modeLeave ? 'col-12' : '') + (modeLogs ? ' col-md-7' : '')">
               <div id="people-arrive" class="card" v-if="modeArrive">
                  <div class="card-header" v-on:click="dispArrive = !dispArrive">
                     <h2 sytle="width: 100%" class="card-title">Entrée/Arrivée
                        <button style="float: right;" type="button" class="btn btn-small btn-secondary dropdown-toggle" aria-label="Open/Close"></button>
                     </h2>
                  </div>
                  <div class="card-body" v-if="dispArrive || !modeLeave || displayBoth">
                     <p><i>Pour EPFL :  écrire seulement les 6 chiffres du sciper puis envoi automatique.</i></p>
                     <p v-if="ACurlParams && !ACurlParams['ACblockExternal']" ><i>Pour non EPFL :  remplir les champs puis appuyer sur entrer ou sur le bouton.</i></p>
                     <form class="form" v-on:submit.prevent="send({email: arrive_identifier, name: arrive_name, phone: arrive_phone}, 'arrive');">
                        <div class="form-group row">
                           <label class="col-sm-3" for="arrive_identifier">Sciper (Mail pour non EPFL)</label>
                           <input class="col-sm-9" required="true" id="arrive_identifier" type="email" v-model="arrive_identifier"  v-on:keyup="arrive_change()"/>
                        </div>
                        <div class="form-group row" v-if="ACurlParams && !ACurlParams['ACblockExternal']">
                           <label class="col-sm-3" for="arrive_name">Nom</label>
                           <input class="col-sm-9" required="true" id="arrive_name" type="text" v-model="arrive_name"/>
                        </div>
                        <div class="form-group row" v-if="ACurlParams && !ACurlParams['ACblockExternal']">
                           <label class="col-sm-3" for="arrive_phone">Téléphone</label>
                           <input class="col-sm-9" required="true" id="arrive_phone" type="tel" v-model="arrive_phone"/>
                        </div>
                        <button class="btn btn-primary" type="submit">Arrivée</button>
                     </form>
                  </div>
               </div>
               <div id="people-leave"class="card" v-if="modeLeave">
                  <div class="card-header" v-on:click="dispArrive = !dispArrive">
                     <h2 sytle="width: 100%" class="card-title">Sortie/Départ
                        <button style="float: right;" type="button" class="btn btn-small btn-secondary dropdown-toggle" aria-label="Open/Close"></button>
                     </h2>
                  </div>
                  <div class="card-body" v-bind:style="(!dispArrive || !modeArrive || displayBoth) ? '' : 'display:none'">
                     <p><i>! Envoi automatique lors de la sélection</i></p>
                     <form v-on:submit.prevent="send({email: leave_select2.select2('data')[0].id}, 'leave')">
                        <div class="form-group row">
                           <label class="col-sm-3" for="leave_identifier">Personne</label>
                           <div class="col-sm-9">
                              <select required="true" id="leave_identifier" type="select"></select>
                           </div>
                        </div>
                        <button class="btn btn-info" type="submit">Partir</button>
                     </form>
                  </div>
               </div>
            </div>
            <div class="col" v-if="modeLogs && !modeMobile">
               <div class="card">
                  <div class="card-header">
                     <h2 class="card-title">Logs</h2>
                  </div>
                  <div class="card-body" style="padding: 0;">
                     <div class="d-flex flex-column-reverse" id="logs-container" style="overflow-y: scroll; height: 352px;">
                        <div v-for="result in logs" :key="result.id" v-bind:style="{opacity: result.opacity || 1}" style="border-radius: 0px; margin-bottom: 0; margin-top: 8px;" class="alert" v-bind:class="'alert-'+result.color" >
                           <p>{{ result.status }}</p>
                           <p v-if="result.person != undefined && result.person.email != undefined">{{ result.person.email}}</p>
                           <p v-if="result.person != undefined && result.person.name != undefined">{{ result.person.name }}</p>
                           <p v-if="result.person != undefined && result.person.sciper != undefined">{{ result.person.sciper }}</p>
                           <p v-if="result.message != undefined" v-html="result.message"></p>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div v-bind:class="{'col-12': true, 'col-md-5': (!modeLogs || modeMobile), 'col-md-6': (!modeMobile && modeLogs && modeList)}"  v-if="modeCounter">
               <div class="card">
                  <div class="card-header">
                     <h2 class="card-title">Compteur</h2>
                  </div>
                  <div class="card-body" style="padding: 0;">
                     <div style="margin-bottom: 0;
                                 background-image: url(./slash.png);
                                 background-size: 100% 100%;
                                 background-repeat: no-repeat;
                                 border-radius: 0px;
                                 font-size: 120px;"
                          class="alert"
                          v-bind:class="count < max ? 'alert-success' : 'alert-danger'">
                        <p style="text-align: left;">{{ count }}</p>
                        <p style="text-align: right;">{{ max == Infinity ? "&infin;" : max }}</p>
                     </div>
                  </div>
               </div>
            </div>
            <div class="col" v-if="modeList">
               <div class="card">
                  <div class="card-header">
                     <h2 class="card-title">Liste des Personnes</h2>
                  </div>
                  <div class="card-body" style="padding: 0;">
                     <div id="person-container" style="overflow-y: scroll; height: 400px; margin-bottom: 0;" >
                        <table class="table-striped" style="width: 100%;">
                           <tbody>
                              <tr v-for="person in listePerson">
                                 <td>{{ person.name}}</td>
                                 <td>{{ person.email }}</td>
                                 <td><button v-on:click="send({email: person.email}, 'leave')" class="btn btn-danger">Mark as left</button></td>
                              </tr>
                           </tbody>
                        </table>
                     </div>
                  </div>
               </div>
            </div>
          </div>
        <div class="row" v-if="!modeHome && modeQR">
            <img id="center-img-tr" src="QR-Center.png" style="display: none">
            <img id="center-img-all" src="QR-Center-All.png" style="display: none">
            <div v-for="(pdfDataUri, index) in pdfDataUris" class="col-12">
              <a style="width: 100%; margin-bottom: 15px;" class="btn btn-success" v-bind:href="pdfDataUri" v-bind:download="'QR-Affiche-'+configId+'.pdf'">Download Affiche PDF {{index}}</a>
            </div>
            <div class="col-lg-4 col-md-6 col-12">
               <div class="card">
                  <div class="card-header">
                     <h2 class="card-title">QR code User Arrives</h2>
                  </div>
                  <div class="card-body" style="">
                     <div id="qr-container-tra" style="margin-bottom: 0;" >
                        <div id="qr-image-tra" style="margin: auto; margin-bottom: 15px;">
                        </div>
                        <input style="width: 100%; margin-bottom: 15px; height: 20px;" id="traUrl" read-only="true" v-bind:value="traUrl" type="text"/>
                        <a class="btn btn-success" v-bind:href="this.QRtraUrl" download=QR-PublicArrive.png>Download</a>
                        <div class="btn btn-success" href="#" v-on:click='window.document.querySelector("#traUrl") .select(); window.document.execCommand("copy");'>Copy Link</div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="col-lg-4 col-md-6 col-12">
               <div class="card">
                  <div class="card-header">
                     <h2 class="card-title">QR code User Leaves</h2>
                  </div>
                  <div class="card-body" style="">
                     <div id="qr-container-trl" style="margin-bottom: 0;" >
                        <div id="qr-image-trl" style="margin: auto; margin-bottom: 15px;">
                        </div>
                        <input style="width: 100%; margin-bottom: 15px; height: 20px;" id="trlUrl" read-only="true" v-bind:value="trlUrl" type="text"/>
                        <a class="btn btn-success" v-bind:href="this.QRtrlUrl" download=QR-PublicLeave.png>Download</a>
                        <div class="btn btn-success" href="#" v-on:click='window.document.querySelector("#trlUrl") .select(); window.document.execCommand("copy");'>Copy Link</div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="col-lg-4 col-12">
               <div class="card">
                  <div class="card-header">
                     <h2 class="card-title">QR code Orga</h2>
                  </div>
                  <div class="card-body" style="">
                     <div id="qr-container-all" style="margin-bottom: 0;" >
                        <div id="qr-image-all" style="margin: auto; margin-bottom: 15px;">
                        </div>
                        <input style="width: 100%; margin-bottom: 15px; height: 20px;" id="allUrl" read-only="true" v-bind:value="allUrl" type="text"/>
                        <a class="btn btn-success" v-bind:href="this.QRallUrl" download=QR-Orga.png>Download</a>
                        <button class="btn btn-success" href="#" v-on:click='window.document.querySelector("#allUrl").select(); window.document.execCommand("copy");'>Copy Link</button>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <style>
         .card {
          margin-bottom: 15px;
         }
         .hidden, [v-cloak] {
            display:none;
         }
      </style>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js" integrity="sha512-bLT0Qm9VnAYZDflyKcBaQ2gg0hSYNQrJ8RilYldYQ1FxQYoCLtUjuuRuZo+fjqhx/qtq/1itJ0C2ejDxltZVFg==" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
      <!--<script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.11/vue.min.js" integrity="sha512-QJsj3afWlCpnQ60XzzYE8Jb3IgHIK1BcGZox9rUSmRRq3Ocz9vQ1yR80eX2/b9jfx/UuT5zYWNdrM8Te/eCMhQ==" crossorigin="anonymous"></script>-->
      <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.11/vue.js" integrity="sha512-PyKhbAWS+VlTWXjk/36s5hJmUJBxcGY/1hlxg6woHD/EONP2fawZRKmvHdTGOWPKTqk3CPSUPh7+2boIBklbvw==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha512-I5TkutApDjnWuX+smLIPZNhw+LhTd8WrQhdCKsxCFRSvhFx2km8ZfEpNIhF9nq04msHhOkE8BMOBj5QE07yhMA==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.19.2/axios.min.js" integrity="sha512-VZ6m0F78+yo3sbu48gElK4irv2dzPoep8oo9LEjxviigcnnnNvnTOJRSrIhuFk68FMLOpiNz+T77nNY89rnWDg==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.full.min.js" integrity="sha512-RtZU3AyMVArmHLiW0suEZ9McadTdegwbgtiQl5Qqo9kunkVg1ofwueXD8/8wv3Af8jkME3DDe3yLfR8HSJfT2g==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.3.0/socket.io.js" integrity="sha512-v8ng/uGxkge3d1IJuEo6dJP8JViyvms0cly9pnbfRxT6/31c3dRWxIiwGnMSWwZjHKOuY3EVmijs7k1jz/9bLA==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/lrsjng.jquery-qrcode/0.17.0/jquery-qrcode.min.js" integrity="sha512-bpSQjGheSKQqx77cCzF7L/CGoD46ZwfHoBkTAqvErPV+tfbG+d8gSVAXxUQk8RENTmnrLwU7ZH9Qd9aAD7m4sg==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/pdf-lib/1.11.1/pdf-lib.min.js" integrity="sha512-cw4zgXxUbnpVN9FgAAAPAbnqq4XX4FvtWufL9JuCAyIGXpRuf6ySlTvsVEeu66zPinaIwxVxoQ2C7wtmKpYkUw==" crossorigin="anonymous"></script>
      <script src="/index.js"></script>
   </body>
</html>
